Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class QueryExpressions

    java.lang.Object
      org.apache.openjpa.kernel.exps.QueryExpressions

All Implemented Interfaces:
  Serializable

    public class QueryExpressions

extends Object
implements Serializable

Struct to hold the state of a parsed expression query.

Since:
  0.3.2
Author:
  Abe White
See Also:
  Serialized Form

Field Summary
`ClassMetaData[]` | `accessPath`
`String` | `alias`
`boolean[]` | `ascending`
`int` | `distinct`
`static int` | `DISTINCT_AUTO`
`static int` | `DISTINCT_FALSE`
`static int` | `DISTINCT_TRUE`
`static Value[]` | `EMPTY_VALUES`
`String[]` | `fetchInnerPaths`
`String[]` | `fetchPaths`
`Expression` | `filter`
`Value[]` | `grouping`
`String[]` | `groupingClauses`
`boolean` | `hasInExpression`
`Expression` | `having`
`int` | `operation`
`Value[]` | `ordering`
`String[]` | `orderingAliases`
`String[]` | `orderingClauses`
`OrderedMap<Object,Class<?>>` | `parameterTypes`
`String[]` | `projectionAliases`
`String[]` | `projectionClauses`
`Value[]` | `projections`
`Value[]` | `range`
`Class<?>` | `resultClass`
`ResultShape<?>` | `shape`
`Object` | `state`
`Map<Path,Value>` | `updates` Map of `FieldMetaData`,`Value` for update statements.

Constructor Summary
`QueryExpressions()`

Method Summary
`Context` | `ctx()` Returns the current JPQL query context.
`List<FieldMetaData>` | `getParameterizedFields()` Gets the fields that are bound to parameters.
`boolean` | `isAggregate()` Whether this is an aggregate results.
`boolean` | `isDistinct()`
`void` | `putUpdate(Path path, Value val)` Add an update.
`void` | `setContexts(Stack<Context> contexts)` Set reference to the JPQL query contexts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISTINCT_AUTO

    public static final int DISTINCT_AUTO

See Also:
  Constant Field Values

### DISTINCT_TRUE

    public static final int DISTINCT_TRUE

See Also:
  Constant Field Values

### DISTINCT_FALSE

    public static final int DISTINCT_FALSE

See Also:
  Constant Field Values

### EMPTY_VALUES

    public static final Value[] EMPTY_VALUES

### updates

    public Map<Path,Value> updates

  Map of `FieldMetaData`,`Value` for update statements.

### distinct

    public int distinct

### alias

    public String alias

### projections

    public Value[] projections

### projectionClauses

    public String[] projectionClauses

### projectionAliases

    public String[] projectionAliases

### resultClass

    public Class<?> resultClass

### filter

    public Expression filter

### grouping

    public Value[] grouping

### groupingClauses

    public String[] groupingClauses

### having

    public Expression having

### ordering

    public Value[] ordering

### ascending

    public boolean[] ascending

### orderingClauses

    public String[] orderingClauses

### orderingAliases

    public String[] orderingAliases

### parameterTypes

    public OrderedMap<Object,Class<?>> parameterTypes

### operation

    public int operation

### accessPath

    public ClassMetaData[] accessPath

### fetchPaths

    public String[] fetchPaths

### fetchInnerPaths

    public String[] fetchInnerPaths

### range

    public Value[] range

### state

    public Object state

### shape

    public ResultShape<?> shape

### hasInExpression

    public boolean hasInExpression

Constructor Detail

### QueryExpressions

    public QueryExpressions()

Method Detail

### setContexts

    public void setContexts(Stack<Context> contexts)

  Set reference to the JPQL query contexts.

  Parameters:
    `contexts` -

### ctx

    public Context ctx()

  Returns the current JPQL query context.

  Returns:

### isAggregate

    public boolean isAggregate()

  Whether this is an aggregate results.

### isDistinct

    public boolean isDistinct()

### getParameterizedFields

    public List<FieldMetaData> getParameterizedFields()

  Gets the fields that are bound to parameters.

  Returns:
    empty if the query has no filtering condition or no parameters.

### putUpdate

    public void putUpdate(Path path,
                          Value val)

  Add an update.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.